Page MenuHomePhabricator

Elasticsearch 6: _retry_on_conflict is deprecated
Closed, ResolvedPublic

Description

Fix CirrusSearch and Elastica so that we send retry_on_conflict instead of _retry_on_conflict during bulk update requests.

Event Timeline

Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptMar 26 2019, 9:21 AM

Change 498420 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Rename _retry_on_conflict to retry_on_conflict

https://gerrit.wikimedia.org/r/498420

dcausse triaged this task as Medium priority.Mar 27 2019, 8:26 PM

Change 498420 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Rename _retry_on_conflict to retry_on_conflict

https://gerrit.wikimedia.org/r/498420

debt closed this task as Resolved.Apr 5 2019, 10:42 PM